# okokMulticharacter

[**YouTube Video**](https://www.youtube.com/watch?v=y3jeEuLz6bs)

## Installation Guide

### Requirements:

* ox\_lib **v3.16.2+** (<https://github.com/overextended/ox_lib/releases/latest/download/ox_lib.zip>);
* Disable qb-multicharacter/esx\_multicharacter.

### Execute the following SQL code in your database:

```sql
CREATE TABLE `okokmulticharacter_tebexids`(
    `identifier` varchar(255) NOT NULL PRIMARY KEY,
    `tebexids` longtext NULL
);
```

### Enable Purchased Character Slots (via Tebex)

Go to your **server.cfg** and add `setr sv_tebexSecret YOURSECRETKEY`.

{% hint style="info" %}
To obtain the **Secret Key**, go to <https://creator.tebex.io/game-servers> and hit the **Edit** button.&#x20;
{% endhint %}

Now, you should set the package id in the config file (**Config.PackageID**).

{% hint style="info" %}
Once you've created the package on Tebex, you'll find a link similiar to this one: <https://creator.tebex.io/packages/1726354>; simply copy the final numbers and paste them after the **Config.PackageID**.
{% endhint %}

### ESX ONLY

Navigate to **es\_extended/config.lua** and set **`Config.Multichar = true`** instead of `Config.Multichar = GetResourceState("esx_multicharacter") ~= "missing"`.

### Server artifacts

Make sure your server artifacts version is up to date.

* Windows: <https://runtime.fivem.net/artifacts/fivem/build_server_windows/master/>
* Linux: <https://runtime.fivem.net/artifacts/fivem/build_proot_linux/master/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokmulticharacter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
